package com.tenlionsoft.oasystem;

import com.alibaba.android.arouter.launcher.ARouter;
import com.liulishuo.okdownload.core.dispatcher.DownloadDispatcher;
import com.tenlionsoft.baselib.app.BaseAppContext;

/**
 * 作者: adam
 * 日期: 2022/3/24 - 2:22 下午
 * 邮箱: itgaojian@163.com
 * 描述:
 */
public class BaseMyApplication extends BaseAppContext {


    @Override
    public void onCreate() {
        super.onCreate();
        ARouter.openLog();
        ARouter.openDebug();

        ARouter.init(this);
    }

    private void initDownload() {
        DownloadDispatcher.setMaxParallelRunningCount(3);//同时最大下载数
    }
}
